#!/bin/bash

set -euo pipefail

# iterate through the docker files in format Dockerfile.IMAGE_NAME
for dockerfile in Dockerfile.*
do
    # get the image name from the dockerfile
    image_name="${dockerfile//Dockerfile./}"
    # build the gitea.jde.nz/public/bb64:debian-curl docker image
    docker build -t "$image_name:latest" -f "$dockerfile" .
done


